Subject: Re: [PATCH] Configurable tap interface MTU

From: Rick Jones <[email-masked]>
Date: Tue, 11 Sep 2007 10:20:53 -0700

Ed Swierk wrote:
> This patch makes it possible to change the MTU on a tap interface.
> Increasing the MTU beyond the 1500-byte default is useful for
> applications that interoperate with Ethernet devices supporting jumbo
> frames.
> 
> The patch caps the MTU somewhat arbitrarily at 16000 bytes. This is
> slightly lower than the value used by the e1000 driver, so it seems
> like a safe upper limit.

FWIW the OFED 1.2 bits take the MTU of IPoIB up to 65520 bytes :)

rick jones